Return a list of currently-active rates for an account using the Arcadia {accountId}.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Retrieve tariff rates for an account using the Arcadia-generated accountId.
Use this endpoint when you store and reference the Arcadia accountId for an account. To retrieve rates using your own account identifier, use Get Account Rates with providerAccountId.
By default, the response includes currently active rates. To retrieve rates for another period, pass fromDateTime and toDateTime.
Resource URI
GET /rest/v1/accounts/{accountId}/ratesPath parameters
| Parameter | Type | Description |
|---|---|---|
accountId | String | Arcadia UUID of the Account object. Required. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
serviceType | String | Service type to include. Choices are ELECTRICITY and SOLAR_PV. Defaults to ELECTRICITY. Optional. |
fromDateTime | DateTime | Return rates from tariffs effective on or after this date. Optional. |
toDateTime | DateTime | Return rates from tariffs effective on or before this date. Optional. |
lookupVariableRates | Boolean | When true, looks up variable price tariff rates and returns their effective date ranges. Defaults to false. Optional. |
bundleRates | Boolean | When true, returns summarized, or bundled, rates. Defaults to false. Optional. |
fields | String | Pass ext to include maximum fields in the response. Optional. |
The endpoint also supports standard pagination, search, and sorting parameters.
For the full data model, account rates workflow, variable-rate behavior, and detailed examples, see Account Rates API.
Example
GET /rest/v1/accounts/1c06e306-bbb0-473a-973c-93d947f0761b/rates?lookupVariableRates=trueA successful response returns a standard response payload with type set to TariffRate and results containing matching tariff rates.
{
"status": "success",
"count": 1,
"type": "TariffRate",
"results": [
{
"tariffRateId": 17286172,
"tariffId": 3208943,
"rateName": "MSC Rate - Zone J",
"fromDateTime": "2015-09-01T00:00:00-04:00",
"toDateTime": "2015-09-02T00:00:00-04:00",
"rateBands": []
}
]
}